singleton Material(moonhawk)
{
   mapTo = "moonhawk";
   //black out the chrome
   /*
   diffuseMap[3] = "vehicles/derbyhawk/derbyhawk_chrome.dds";
   specularMap[3] = "vehicles/derbyhawk/derbyhawk_s.dds";
   normalMap[3] = "vehicles/derbyhawk/derbyhawk_n.dds";
   specularColor[3] = "0.2 0.2 0.2 0.2";
   diffuseColor[3] = "0.1 0.1 0.1 1.2";
   */
   
   diffuseMap[2] = "vehicles/derbyhawk/derbyhawk_c.dds";
   specularMap[2] = "vehicles/derbyhawk/derbyhawk_s.dds";
   normalMap[2] = "vehicles/derbyhawk/derbyhawk_n.dds";
   diffuseMap[1] = "vehicles/derbyhawk/derbyhawk_d.dds";
   specularMap[1] = "vehicles/derbyhawk/derbyhawk_s.dds";
   normalMap[1] = "vehicles/derbyhawk/derbyhawk_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/derbyhawk/derbyhawk_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //1977 gross brown
   //diffuseColor[2] = "0.30 0.21 0.12 1.5";
   
   //gorgeous deep blue
   //diffuseColor[2] = "0.1 0.2 0.4 1.3";
   
   //"DRIVE" gray
   diffuseColor[2] = "0.42 0.45 0.52 1.6";
   
   //vibrant red
   //diffuseColor[2] = "1.0 0.1 0.05 1.2";
   
   //murdered out matte black
   //diffuseColor[2] = "0.1 0.1 0.1 1.7";
   
   //noa building
   //diffuseColor[2] = "0.1 0.13 0.14 1.5";
   
   //deep red
   //diffuseColor[2] = "0.38 0.09 0.1 1.5";
   
   
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(moonhawk_interior)
{
   mapTo = "moonhawk_interior";
   diffuseMap[0] = "derbyhawk_interior_d.dds";
   specularMap[0] = "derbyhawk_interior_s.dds";
   normalMap[0] = "derbyhawk_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.6 0.6 0.6 1";
};

singleton Material(moonhawk_engines)
{
   mapTo = "moonhawk_engines";
   diffuseMap[1] = "vehicles/derbyhawk/derbyhawk_engines_d.dds";
   specularMap[1] = "vehicles/derbyhawk/derbyhawk_engines_s.dds";
   normalMap[1] = "vehicles/derbyhawk/derbyhawk_engines_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/derbyhawk/derbyhawk_engines_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(derbyhawk_offroadtire_derby)
{
   mapTo = "offroadtire_derby";
   diffuseMap[1] = "vehicles/derbyhawk/derbyhawk_offroadtire_d.dds";
   specularMap[1] = "vehicles/common/offroadtire_01a_s.dds";
   normalMap[1] = "vehicles/derbyhawk/derbyhawk_offroadtire_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/derbyhawk/derbyhawk_offroadtire_n.dds";
   //diffuseMap[2] = "vehicles/common/offroadtire_01a_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(derbyhawk_offroadwheel_derby)
{
   mapTo = "offroadwheel_derby";
   diffuseMap[1] = "vehicles/derbyhawk/derbyhawk_offroadwheel_d.dds";
   specularMap[1] = "vehicles/common/offroadwheel_01a_s.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   //diffuseMap[2] = "vehicles/common/offroadwheel_01a_dirt.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(derbyhawk_roofsignR)
{
   mapTo = "roofsignR";
   diffuseMap[0] = "vehicles/derbyhawk/derbyhawk_RoofsignR.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_roofsignL)
{
   mapTo = "roofsignL";
   diffuseMap[0] = "vehicles/derbyhawk/derbyhawk_RoofsignL.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_blackout)
{
   mapTo = "blackout";
   diffuseColor[0] = "0 0 0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_lightrust)
{
   mapTo = "lightrust";
   diffuseMap[0] = "vehicles/derbyhawk/derbyhawk_RustyMetalLight.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_heavyrust)
{
   mapTo = "heavyrust";
   diffuseMap[0] = "vehicles/derbyhawk/derbyhawk_RustyMetal.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_radiator)
{
   mapTo = "radiator";
   diffuseMap[0] = "vehicles/derbyhawk/derbyhawk_radiator.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_firelogo)
{
   mapTo = "firelogo";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   diffuseMap[0] = "vehicles/derbyhawk/derbyhawk_firelogo.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_fireblack)
{
   mapTo = "fireblack";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   specular[0] = "0.5 0.5 0.5 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_extinguisher)
{
   mapTo = "extinguisher";
   diffuseColor[0] = "0.775385 0 0 1";
   specular[0] = "0.5 0.5 0.5 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(derbyhawk_steer_01dsc)
{
   mapTo = "steer_01dsc";
   diffuseMap[0] = "vehicles/derbyhawk/derbyhawk_steer_d.dds";
   normalMap[0] = "vehicles/common/steer_01a_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "vehicles/common/steer_01a_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};
